CCW_DEVICE_SET_ONLIN(9)

NAME
ccw_device_set_online - enable a ccw device for I/O

SYNOPSIS

int ccw_device_set_online(struct ccw_device * cdev);

ARGUMENTS

cdev
    target ccw device

DESCRIPTION

This function first enables cdev and then calls the driver's set_online function for cdev, if given. If set_online returns an error, cdev is disabled again.

RETURNS

0 on success and a negative error value on failure.

CONTEXT

enabled, ccw device lock not held

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT